Index: /trunk/SophyaPI/PIext/pistdimgapp.cc
===================================================================
--- /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 3572)
@@ -102,7 +102,5 @@
 m[0]->AppendItem("Open-Fits", 10120);
 m[0]->AppendItem("Open-PPF", 10130);
-#ifndef SANS_EVOLPLANCK
 m[0]->AppendItem("Open-ASCII", 10140);
-#endif
 // m[0]->AppendItem("Options", 10101);
 m[0]->AppendItem("Help", 10100);
@@ -316,15 +314,8 @@
 glst_piai = new PIAppInitiator(this);
 
-char buff[128];
 mCons->AddStr("  ............  starting piapp .............\n", PIVA_Blue );
-#ifdef SANS_EVOLPLANCK
-sprintf(buff, "Version: piapp=%g  PI=%g  PEIDA=%g \n", (double)PIAPP_VERSIONNUMBER, 
-              (double)PI_VERSIONNUMBER, (float)PeidaVersion());
-mCons->AddStr(buff, PIVA_Blue );
-#else
 string svers;
 SophyaInitiator::GetVersion(svers);
 mCons->AddStr(svers.c_str(), PIVA_Blue );
-#endif
 mCons->AddStr("  ..........................................\n", PIVA_Blue );
 // PrintPeidaVersion();
@@ -539,9 +530,5 @@
 if  ((GetState()) && (msg != mFCMsg)) { PIBeep(); return; }
 
-#ifdef SANS_EVOLPLANCK
-  TRY {
-#else
-  try {
-#endif
+try {
 
 //   Messages active-window
@@ -628,15 +615,4 @@
   mCons->AddChar('\n', PIVA_Def, true);
   SetBusy();
-#ifdef SANS_EVOLPLANCK
-  TRY {
-    mCmd->Interpret(s);
-    }  CATCH(merr) { 
-    fflush(stdout); 
-    cout << endl; 
-    cerr << endl;
-    string es = PeidaExc(merr);
-    cerr << "PIStdImgApp::Process()/ Cmd->Do() Exception :" << es << " (" << merr << ")" << endl ;
-    }
-#else
   try {
     //    mCmd->Interpret(s);
@@ -655,5 +631,4 @@
   }
 
-#endif
   SetReady();
   }
@@ -662,14 +637,4 @@
             (int)tmsg,(int)msg,(int)smm);
 
-#ifdef SANS_EVOLPLANCK
-}  CATCH(merr) { 
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "PIStdImgApp::Process()/  Exception :" << es << " (" << merr << ")" << endl ;
-  SetReady();
-  }
-#else
   }
   catch ( PThrowable & exc ) {
@@ -690,5 +655,4 @@
   }
 
-#endif
 
 return;
@@ -1781,10 +1745,6 @@
 void PIStdImgApp::CatchSignals(bool fgfpe, bool fgsegv)
 {    
-#ifdef SANS_EVOLPLANCK
-PeidaConfigureSignalhandling(fgfpe, fgsegv, true, true);  
-#else
 // On active aussi SIGUSR1 pour stopthr
 SophyaConfigureSignalhandling(fgfpe, fgsegv, true, true);  
-#endif
 m[5]->SetStateMsg(10603, fgfpe);
 m[5]->SetStateMsg(10604, fgsegv);
@@ -1953,5 +1913,4 @@
       break;
         
-#ifndef SANS_EVOLPLANCK
     case 10140 :
       pfc_ascii->AcceptNewFile(false);
@@ -1988,5 +1947,4 @@
       SetReady();
       break;
-#endif
 
     case 10105:
@@ -2396,9 +2354,5 @@
 string info = "piapp : Interactive analysis program\n";
 char buff[128];
-#ifdef SANS_EVOLPLANCK
-sprintf(buff, "Version: piapp=%g  PI=%g  PEIDA=%g \n", (double)PIAPP_VERSIONNUMBER, 
-              (double)PI_VERSIONNUMBER, (float)PeidaVersion());
-info += buff;
-#else
+
 string svers;
 SophyaInitiator::GetVersion(svers);
@@ -2407,10 +2361,9 @@
 	(double)PIAPP_VERSIONNUMBER);
 info += buff; 
-#endif
-info += "(C) LAL-IN2P3/CNRS  1996-2006\n";
-info += "(C) SPP-DAPNIA/CEA 1996-2006\n";
-#ifndef SANS_EVOLPLANCK
- info += "Check http://www.sophya.org for more information";
-#endif
+
+info += "(C) LAL-IN2P3/CNRS  1996-2009\n";
+info += "(C) SPP-DAPNIA/CEA 1996-2009\n";
+info += "Check http://www.sophya.org for more information";
+
 infow_txt->SetText(info);
 }
Index: /trunk/SophyaPI/PIext/servnobjm.cc
===================================================================
--- /trunk/SophyaPI/PIext/servnobjm.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/servnobjm.cc	(revision 3572)
@@ -20,13 +20,8 @@
 #include "fct2dfit.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "matrix.h"
-#include "cvector.h"
-#else
 #include "tmatrix.h"
 #include "tvector.h"
 #include "matharr.h"
 #include "pitvmaad.h"
-#endif
 
 #include "ntuple.h"
@@ -70,10 +65,7 @@
 ObjAdaptList::iterator it;
 for(it = objadaplist.begin(); it != objadaplist.end(); it++) 
-#ifdef SANS_EVOLPLANCK
-    if (typeid(*o) == typeid(*((*it).obj)))  THROW(dupIdErr);
-#else
-    if (typeid(*o) == typeid(*((*it).obj)))  
+  if (typeid(*o) == typeid(*((*it).obj)))  
      throw(DuplicateIdExc("Services2NObjMgr::RegisterClass() - Duplicate class"));
-#endif
+
 dataobj_adapter oba;
 oba.obj = o;
@@ -215,15 +207,4 @@
   for(k=0; k<np; k++) { xx = xmin+dx*k; (*vpy)(k) = f(xx); }
 } 
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::PlotFunc()  Exception :" << merr << es;
-  delete vpy;
-  vpy = NULL;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -234,5 +215,4 @@
   vpy = NULL;
 }
-#endif
 
 if (vpy) {
@@ -286,14 +266,4 @@
   }
 }
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::PlotFunc2D()  Exception :" << merr << es;
-  delete mtx;  mtx = NULL;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -303,5 +273,4 @@
   delete mtx;  mtx = NULL;
 }
-#endif
 
 if (mtx) {
@@ -348,10 +317,5 @@
  DVList::ValList::const_iterator it;
  for(it = varlist.Begin(); it != varlist.End(); it++) {
-#ifdef SANS_EVOLPLANCK
-   MuTyV mtv = (*it).second;
-   double value = (double)(mtv);
-#else
    double value = (double)((*it).second.elval);
-#endif
    string name_var = (*it).first;
    fprintf(fip,"double %s = %.17f;\n",name_var.c_str(),value);
@@ -408,5 +372,5 @@
 
 // Creation NTuple 
-char* ntn[4] = {"expx","expy","expex","expey",};
+const char* ntn[4] = {"expx","expy","expex","expey",};
 NTuple* nt = NULL;
 bool haserr = false;
@@ -447,5 +411,5 @@
 if (!mImgapp)  return; 
 
-char* ntn[3] = {"expx","expy","expz"};
+const char* ntn[3] = {"expx","expy","expz"};
 NTuple* nt = new NTuple(3,ntn);  // Creation NTuple
 
@@ -486,5 +450,5 @@
 if (!mImgapp)  return; 
 
-char* ntn[3] = {"expx","expy","expw"};
+const char* ntn[3] = {"expx","expy","expw"};
 NTuple* nt = new NTuple(3,ntn);  // Creation NTuple
 
@@ -520,5 +484,5 @@
 if (!mImgapp)  return; 
 
-char* ntn[4] = {"expx","expy","expz","expw"};
+const char* ntn[4] = {"expx","expy","expz","expw"};
 NTuple* nt = new NTuple(4,ntn);  // Creation NTuple
 
@@ -571,5 +535,5 @@
   // Pas de remise a zero ! h1->Zero();
 } else {
-  char* ntn[2]= {"hxval", "hwt"};
+  const char* ntn[2]= {"hxval", "hwt"};
   nt = new NTuple(2,ntn);  // Creation NTuple 
 }
@@ -624,5 +588,5 @@
   // Pas de remise a zero ! h2->Zero();
 } else {
-  char* ntn[3]= {"hxval", "hyval", "hwt"};
+  const char* ntn[3]= {"hxval", "hyval", "hwt"};
   nt = new NTuple(3,ntn);  // Creation NTuple 
 }
@@ -688,5 +652,5 @@
   hp_already_exist = true;
 } else {
-  char* ntn[3]= {"hxval", "hyval", "hwt"};
+  const char* ntn[3]= {"hxval", "hyval", "hwt"};
   nt = new NTuple(3,ntn);  // Creation NTuple 
 }
@@ -741,5 +705,5 @@
   }
 
-char* ntn[2]= {"vi", "vv"};
+const char* ntn[2]= {"vi", "vv"};
 NTuple* nt = new NTuple(2,ntn);  // Creation NTuple 
 
@@ -790,5 +754,5 @@
   }
 
-char* ntn[3]= {"mi", "mj", "mv"};
+const char* ntn[3]= {"mi", "mj", "mv"};
 NTuple* nt = new NTuple(3,ntn);  // Creation NTuple 
 
@@ -836,5 +800,5 @@
 // if (nomvec.length() < 1) nomvec = "/tmp/expvec";
 
-char* ntn[2]= {"vecval", "vecwt"};
+const char* ntn[2]= {"vecval", "vecwt"};
 nt = new NTuple(1,ntn);  // Creation NTuple
  
@@ -933,5 +897,5 @@
   }  
 if (nt == NULL) {
-  char* ntn[4]= {"x", "y","z","t"};
+  const char* ntn[4]= {"x", "y","z","t"};
   nt = new NTuple(4,ntn);  // Creation NTuple 
   fgnnt = true;
@@ -987,5 +951,5 @@
     }  
   if (nt == NULL) {
-    char* ntn[4]= {"x", "y","z","t"};
+    const char* ntn[4]= {"x", "y","z","t"};
     nt = new NTuple(4,ntn);  // Creation NTuple 
     fgnnt = true;
@@ -1016,13 +980,4 @@
     }
  }
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::FillNTFrCFile()  Exception :" << merr << es;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -1031,5 +986,4 @@
   cerr << "Services2NObjMgr::FillNTFrCFile()  Exception :" << exc.Msg() << endl; 
 }
-#endif
 
 if (adel) delete objnt;   // Delete de l'objet NTupleInterface si necessaire
@@ -1154,5 +1108,5 @@
 
 // Creation NTuple Buffer
-char* ntn[4]= {"x","y","f","e"};
+const char* ntn[4]= {"x","y","f","e"};
 NTuple*nt = new NTuple(4,ntn);
 
@@ -1301,13 +1255,4 @@
     }
  }
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::ComputeExpressions()  Exception :" << merr << es;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -1316,5 +1261,4 @@
   cerr << "Services2NObjMgr::ComputeExpressions()  Exception :" << exc.Msg() << endl; 
 }
-#endif
 
 if (adel) delete objnt;  // Delete de l'objet NTupleInterface si necessaire
@@ -1473,80 +1417,6 @@
 
 
-
-
-// SANS_EVOLPLANCK     Attention !
-#ifdef SANS_EVOLPLANCK
-#include "pclassids.h"
-
-/* --Methode-- */
-char* Services2NObjMgr::PClassIdToClassName(int cid)
-{
-switch (cid) {
-  case ClassId_Poly1 : 
-    return("Poly1");
-  case ClassId_Poly2 : 
-    return("Poly2");
-  case ClassId_Matrix : 
-    return("Matrix");
-  case ClassId_Vector : 
-    return("Vector");
-
-  case ClassId_DVList : 
-    return("DVList");
-
-  case ClassId_Histo1D : 
-    return("Histo1D");
-  case ClassId_Histo2D : 
-    return("Histo2D");
-  case ClassId_HProf : 
-    return("HProf");
-  case ClassId_HistoErr : 
-    return("HistoErr");
-  case ClassId_NTuple : 
-    return("NTuple");
-  case ClassId_XNTuple : 
-    return("XNTuple");
-  case ClassId_GeneralFitData : 
-    return("GeneralFitData");
-
-  case ClassId_Image : 
-    return("RzImage");
-  case ClassId_Image + kuint_1 : 
-    return("ImageU1");
-  case ClassId_Image + kint_1 : 
-    return("ImageI1");
-  case ClassId_Image + kuint_2 : 
-    return("ImageU2");
-  case ClassId_Image + kint_2 : 
-    return("ImageI2");
-  case ClassId_Image + kuint_4 : 
-    return("ImageU4");
-  case ClassId_Image + kint_4 : 
-    return("ImageI4");
-  case ClassId_Image + kr_4 : 
-    return("ImageR4");
-  case ClassId_Image + kr_8 : 
-    return("ImageR8");
-  case ClassId_ZFidu : 
-    return("ZFidu");
-
-  case ClassId_StarList : 
-    return("StarList");
-  case ClassId_Transfo : 
-    return("Transfo");
-  case ClassId_PSF : 
-    return("PSF");
-
-
-// - Ajout objet PPF
-  default:
+const char* Services2NObjMgr::PClassIdToClassName(int cid)
+{
     return("AnyDataObj");
-  }
-}  
-
-#else
-char* Services2NObjMgr::PClassIdToClassName(int cid)
-{
-    return("AnyDataObj");
-}
-#endif
+}
Index: /trunk/SophyaPI/PIext/servnobjm.h
===================================================================
--- /trunk/SophyaPI/PIext/servnobjm.h	(revision 3571)
+++ /trunk/SophyaPI/PIext/servnobjm.h	(revision 3572)
@@ -20,10 +20,4 @@
 #include "zthread.h"
 
-#ifdef SANS_EVOLPLANCK
-class NTuple;
-class Histo;
-class Histo2D;
-class HProf;
-#else
 namespace SOPHYA { 
 class NTuple;
@@ -32,5 +26,4 @@
 class HProf;
 }
-#endif
 
 class PIStdImgApp;
@@ -127,5 +120,5 @@
   static void   DecodeLoopParameters(string& loop, int_8& i1, int_8& i2, int_8& di);
   string 	FileName2Name(string const & fn);
-  char* 	PClassIdToClassName(int cid);
+  const char* 	PClassIdToClassName(int cid);
 
 protected:
Index: /trunk/SophyaPI/PIext/smakefile
===================================================================
--- /trunk/SophyaPI/PIext/smakefile	(revision 3571)
+++ /trunk/SophyaPI/PIext/smakefile	(revision 3572)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nommatvecadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomstladapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
+	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
 	rm -f $(SOPHYALIBP)libPIext.a
  
@@ -42,4 +42,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -163,4 +164,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -278,4 +280,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -388,4 +391,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -474,4 +478,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -582,4 +587,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -690,4 +696,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -800,4 +807,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -861,4 +869,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -921,4 +930,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -990,4 +1000,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1087,4 +1098,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1131,5 +1143,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -1196,4 +1207,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1265,4 +1277,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1348,4 +1361,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1413,4 +1427,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1511,4 +1526,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1594,4 +1610,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1701,4 +1718,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -1798,4 +1816,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -1938,4 +1957,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2003,5 +2023,4 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2046,4 +2065,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2098,4 +2118,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2125,4 +2146,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2154,4 +2176,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2212,4 +2235,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2309,5 +2333,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2358,4 +2381,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2386,4 +2410,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2412,4 +2437,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2479,4 +2505,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2592,4 +2619,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2673,4 +2701,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -2721,4 +2750,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
Index: /trunk/SophyaPI/ProgPI/Makefile
===================================================================
--- /trunk/SophyaPI/ProgPI/Makefile	(revision 3571)
+++ /trunk/SophyaPI/ProgPI/Makefile	(revision 3572)
@@ -43,4 +43,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -85,17 +86,18 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)pieldrw.h \
@@ -124,5 +126,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -155,11 +156,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -177,12 +188,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -235,11 +238,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -257,12 +270,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -311,7 +316,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
-  $(SOPHYAINCP)ntupintf.h
+  $(SOPHYAINCP)sophyainit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
  
@@ -348,11 +351,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -370,12 +383,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -438,6 +443,6 @@
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -477,11 +482,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -499,12 +514,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -597,11 +604,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -619,12 +636,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: /trunk/SophyaPI/ProgPI/makefile_wgrdl
===================================================================
--- /trunk/SophyaPI/ProgPI/makefile_wgrdl	(revision 3571)
+++ /trunk/SophyaPI/ProgPI/makefile_wgrdl	(revision 3572)
@@ -294,5 +294,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
Index: /trunk/SophyaPI/ProgPI/piapp.cc
===================================================================
--- /trunk/SophyaPI/ProgPI/piapp.cc	(revision 3571)
+++ /trunk/SophyaPI/ProgPI/piapp.cc	(revision 3572)
@@ -13,6 +13,4 @@
 #include "timing.h"
 #include "skyinit.h"
-
-#include "xntuple.h" // Pour faire le SetTmpDir()
 
 
@@ -177,5 +175,5 @@
 }
 
-char* tmpde = getenv("TMPDIR");
+const char* tmpde = getenv("TMPDIR");
 char  tmpdname[32];
 if (tmpde == NULL) tmpde = "./";
@@ -198,7 +196,6 @@
 }
 
-cout << "  NamedObjMgr::SetTmpDir()+XNTuple::SetSwapPath() " << tmpdir << endl;
+cout << "  NamedObjMgr::SetTmpDir() " << tmpdir << endl;
 app->ObjMgr()->SetTmpDir(tmpdir);
-XNTuple::SetSwapPath(const_cast<char *>(tmpdir.c_str()));
 
 // Gestion de redirection stdout/err et Signaux
Index: /trunk/SophyaPI/ProgPI/skymapmodule.cc
===================================================================
--- /trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 3571)
+++ /trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 3572)
@@ -1410,5 +1410,5 @@
  
  const int ndim = 8;
- char *nament[ndim] =
+ const char *nament[ndim] =
    {"l","n","clmean","cllin","clpar","sclmean","scllin","sclpar"};
  NTuple clbin(ndim,nament);
Index: /trunk/SophyaPI/ProgPI/smakefile
===================================================================
--- /trunk/SophyaPI/ProgPI/smakefile	(revision 3571)
+++ /trunk/SophyaPI/ProgPI/smakefile	(revision 3572)
@@ -43,4 +43,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -125,5 +126,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -156,4 +156,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -237,4 +238,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -314,7 +316,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
-  $(SOPHYAINCP)ntupintf.h
+  $(SOPHYAINCP)sophyainit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
  
@@ -351,4 +351,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -442,6 +443,6 @@
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -481,4 +482,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -602,4 +604,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
Index: /trunk/SophyaPI/ProgPI/smakefile_wgrdl
===================================================================
--- /trunk/SophyaPI/ProgPI/smakefile_wgrdl	(revision 3571)
+++ /trunk/SophyaPI/ProgPI/smakefile_wgrdl	(revision 3572)
@@ -294,5 +294,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
Index: /trunk/SophyaProg/PMixer/skymixer.cc
===================================================================
--- /trunk/SophyaProg/PMixer/skymixer.cc	(revision 3571)
+++ /trunk/SophyaProg/PMixer/skymixer.cc	(revision 3572)
@@ -958,5 +958,5 @@
   // Cleaning the keywords 
 #define SZexlst 21
-  char *exlst[SZexlst]=
+  const char *exlst[SZexlst]=
   {"SIMPLE","BITPIX" ,"NAXIS" ,"NAXIS#" ,"PCOUNT","GCOUNT",
      "EXTEND","ORIGIN" ,"DATE*" ,"TFIELDS","TTYPE#","TFORM#",
@@ -994,5 +994,5 @@
   // Cleaning the keywords 
 #define SZexlst 21
-  char *exlst[SZexlst]=
+  const char *exlst[SZexlst]=
   {"SIMPLE","BITPIX" ,"NAXIS" ,"NAXIS#" ,"PCOUNT","GCOUNT",
      "EXTEND","ORIGIN" ,"DATE*" ,"TFIELDS","TTYPE#","TFORM#",
@@ -1028,5 +1028,5 @@
 void RadSpec2Nt(RadSpectra & rs, POutPersist & so, string name)
 {
-  char *ntn[2] = {"nu","fnu"};
+  const char *ntn[2] = {"nu","fnu"};
   NTuple nt(2,ntn);  // Creation NTuple (AVEC new )
   float xnt[2];
@@ -1050,5 +1050,5 @@
 void SpectralResponse2Nt(SpectralResponse& sr, POutPersist & so, string name)
 {
-  char *ntn[2] = {"nu","tnu"};
+  const char *ntn[2] = {"nu","tnu"};
   NTuple nt(2,ntn);  // Creation NTuple (AVEC new )
   float xnt[2];
